org.apache.activemq.artemis.api.core

## Class JGroupsChannelBroadcastEndpoint

- java.lang.Object
- - org.apache.activemq.artemis.api.core.JGroupsBroadcastEndpoint
  - - org.apache.activemq.artemis.api.core.JGroupsChannelBroadcastEndpoint

- All Implemented Interfaces:
    BroadcastEndpoint

      public class JGroupsChannelBroadcastEndpoint
      extends JGroupsBroadcastEndpoint

  An implementation of JGroupsBroadcastEndpoint that uses an externally managed JChannel for its operations. Note - this implementation does not close the JChannel, since its externally created.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGroupsChannelBroadcastEndpoint(JChannelManager manager, org.jgroups.JChannel jChannel, String channelName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jgroups.JChannel` | `createChannel()`
    `protected void` | `internalCloseChannel(JChannelWrapper channel)` Closes the channel used in this JGroups Broadcast.

    - ### Methods inherited from class org.apache.activemq.artemis.api.core.JGroupsBroadcastEndpoint

      `broadcast, close, initChannel, internalOpen, openBroadcaster, openClient, receiveBroadcast, receiveBroadcast`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGroupsChannelBroadcastEndpoint

          public JGroupsChannelBroadcastEndpoint(JChannelManager manager,
                                                 org.jgroups.JChannel jChannel,
                                                 String channelName)

  - ### Method Detail

    - #### createChannel

          public org.jgroups.JChannel createChannel()
                                             throws Exception

      Specified by:
        `createChannel` in class `JGroupsBroadcastEndpoint`
      Throws:
        `Exception`

    - #### internalCloseChannel

          protected void internalCloseChannel(JChannelWrapper channel)

      Description copied from class: `JGroupsBroadcastEndpoint`
      Closes the channel used in this JGroups Broadcast. Can be overridden by implementations that use an externally managed channel.
      Overrides:
        `internalCloseChannel` in class `JGroupsBroadcastEndpoint`

Copyright © 2017. All rights reserved.